# -*- coding: utf-8 -*-
## Copyright (C) 2011 UNIS - all rights reserved
## No publication or distribution without authorization.

from Globals import DevelopmentMode
from logging import getLogger

from StringIO import StringIO
from string import capwords
#import ho.pisa as pisa
from xmlrpclib import Fault

from DateTime import DateTime
from Products.Five import BrowserView
from Products.CMFCore.utils import getToolByName
from zope.app.pagetemplate.viewpagetemplatefile import ViewPageTemplateFile

_HTML_HEADER = """<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n"""

logger = getLogger('Metnav XML browser')

class genClass(BrowserView):

    def getClassForm(self, classification):
        context = self.context
        gc_tool = getToolByName(context, 'portal_genClass')
        gc_props = getToolByName(context, 'portal_properties')['genclass_properties']

        xsl = gc_props.getProperty('XSL', '')
        exist = gc_tool.getDA()

        query = str(context.xq_class_form) % {"classif":classification, "xsl":xsl,}

        return str(exist.query(query))
    def getClassMeta(self, classification, format='LOM', class_file='/db/classification/Thokavi-1.0_vdex.xml', ns='', class_rel='/db/classification/Dewey_vdex.xml', lng_rel='fr'):
        gc_tool = getToolByName(context, 'portal_genClass')
        gc_props = getToolByName(context, 'portal_properties')['genclass_properties']
        exist = gc_tool.getDA()
        tp = []
        tpr = []
        ns, xmlns = gc_tool.getNSandXMLNS(ns)

        xmlns = ' xmlns:%s="%s"' % (ns, xmlns)
        if ns != '':
            ns += ':'
        
        template_class_start = """<%(ns)sclassification>
        <%(ns)spurpose>
            <%(ns)ssource>LOMv1.0</%(ns)ssource>
            <%(ns)svalue>discipline</%(ns)svalue>
        </%(ns)spurpose>""" % {'ns':ns, }

        template_class_end = """</%(ns)sclassification>""" % {'ns':ns, }

        taxon_ids = " ".join(classification)
        query = str(context.xq_class_meta) % {'classif':class_file, 
                                              'taxon_ids':taxon_ids, 
                                              'classif_start':template_class_start, 
                                              'classif_end':template_class_end,
                                              'ns':ns,
                                              'lng':lng_rel, 
                                              'class_rel':class_rel }

        context.plone_log(script.id, xmlns)
        return str(exist.query(query)).replace(xmlns, '').replace("<toremove>", "").replace("</toremove>", "")