# -*- coding: utf-8 -*-

# Ce fichier contient toutes les variables de configuration de la Skin

# Imports nécessaires
from Products.CMFCore.permissions import ManagePortal

GLOBALS = globals()
PROJECTNAME = 'GenClass'
TOOL_ID = 'portal_genClass'
TOOL_META_TYPE = 'GenClassTool'
TOOL_TITLE = 'Classification generator'

######## STRUCTURE DE LA SKIN ########
#Liste des dossiers dans skins/ à importer dans le Plone à l'installation
SKIN_FOLDERS = ('GenClass_styles', 'GenClass_xquery', 'GenClass_scripts', 'GenClass_templates' )

#Nom de la skin générale (en principe, le même nom que le produit) => pas d'espaces ou caractères non ASCII
SKIN_NAME = 'GenClass'

#Nom du site
SITE_NAME = 'GenClass'

#Skin sur laquelle on se base
BASE_SKIN = 'Plone Default'

#Choix des composants à installer
INSTALL_PROPERTY_SHEET 	= True
INSTALL_TOOL		= True
INSTALL_CONFIGLET	= True
INSTALL_CSS         = True

#Choix des composants à désinstaller
REMOVE_PROPERTY_SHEET 	= INSTALL_PROPERTY_SHEET
REMOVE_TOOL		= INSTALL_TOOL
REMOVE_CONFIGLET	= INSTALL_CONFIGLET
REMOVE_CSS = INSTALL_CSS

######## PROPRIÉTÉS ########
#ID de l'objet qui contient les propriétés de la skin
PROPS_ID = "%s_properties" % (SKIN_NAME.lower())

#Titre  de l'objet qui contient les propriétés de la skin
PROPS_TITLE = "Properties for %s" % (SKIN_NAME)

#Liste des propriétés par défaut de la skin
LIST_PROPS = [ {'name':'EXIST_DA',
                'value':'exist', 
                'type':'string',}, 
               {'name':'CLASSIFICATIONS',
                'value':(
                        '/db/classification/Chebocar-2.0_vdex.xml',
                        '/db/classification/Chebocar-Dewey-2.0_vdex.xml',
                        '/db/classification/JaHe-2.0-vdex.xml',
                        '/db/classification/JaHe-Dewey-2.0-vdex.xml',
                        '/db/classification/JaPeSe-2.0_vdex.xml',
                        '/db/classification/JaPeSe-Dewey-2.0_vdex.xml',
                        '/db/classification/TaCBaHa-2.0_vdex.xml',
                        '/db/classification/TaCBaHa-Dewey-2.0_vdex.xml',
                        '/db/classification/Thokavi-Dewey-2.0_vdex.xml',
                        '/db/classification/Thokavi-2.0_vdex.xml',
                        '/db/classification/virologie2.2vdex.xml',
                        '/db/classification/SciencesHommesSocietes-Dewey-vdex-v1.0.xml',
                        '/db/classification/Unit-informatique-Dewey-vdex.xml',
                        '/db/classification/UNSPF-v1.0-corres-dewey-vdex.xml',
                        '/db/classification/UNSPF-v1.0-vdex.xml',
                        '/db/classification/Geoconfluences-Dewey-vdex-v1.0.xml',
                        '/db/classification/Geoconfluences-vdex-v1.0.xml',
                     ), 
                'type':'lines',},
               {'name':'XSL',
                'value':'/db/xsl/genclass/vdex2form_collapse.xsl', 
                'type':'string',},
               {'name':'NS', 
                'value':(
                        '|',
                        'lom|http://ltsc.ieee.org/xsd/LOM',
                     ), 
                'type':'lines'},
               {'name':'RELATIONS', 
                'value':(
                        '/db/classification/Dewey_vdex-4.0.xml',
                     ), 
                'type':'lines', },
               {'name':'LNG', 
                'value':(
                        'fr|Français',
                        'en|Anglais',
                     ), 
                'type':'lines', },
                ]
"""         {'name':'',
             'value':'',
             'type':'',},


"""