<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:vdex="http://www.imsglobal.org/xsd/imsvdex_v1p0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" exclude-result-prefixes="vdex">
	<xsl:output encoding="utf-8" omit-xml-declaration="yes" method="xml" standalone="yes"
	media-type="text/html" indent="yes" version="1.0"/>
	<xsl:param name="classif"></xsl:param>
	<xsl:template match="/vdex:vdex">
		<form action="print_class" method="post">
			<h2>
				<xsl:value-of select="vdex:vocabIdentifier"/>
				<xsl:text> / </xsl:text>
				<xsl:value-of select="vdex:vocabName/vdex:langstring"/>
			</h2>
			<ul>
				<xsl:apply-templates select="vdex:term"/>
			</ul>
			<br/>
			<xsl:element name="input">
				<xsl:attribute name="type">
					<xsl:text>hidden</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="name">
					<xsl:text>class_file</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="$classif"/>
				</xsl:attribute>
			</xsl:element>
			<input type="submit" value=" OK "/>
		</form>
	</xsl:template>
	<xsl:template match="vdex:term">
		<li>
			<xsl:element name="input">
				<xsl:attribute name="type">
					<xsl:text>checkbox</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="name">
					<xsl:text>classification:list</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="vdex:termIdentifier/text()"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:variable name="position" select="count(ancestor::vdex:term)"/>
			<xsl:choose>
				<xsl:when test="$position = 0">
					<font size="+1">
						<xsl:value-of select="normalize-space(vdex:caption/vdex:langstring)"/>
						<xsl:text> (</xsl:text>
						<xsl:value-of select="substring-after(vdex:termIdentifier, 'URN:')"/>
						<xsl:text>)</xsl:text>
					</font>
				</xsl:when>
				<xsl:when test="$position = 1">
					<b>
						<xsl:value-of select="normalize-space(vdex:caption/vdex:langstring)"/>
						<xsl:text> (</xsl:text>
						<xsl:value-of select="substring-after(vdex:termIdentifier, 'URN:')"/>
						<xsl:text>)</xsl:text>
					</b>
				</xsl:when>
				<xsl:when test="$position = 2">
					<i>
						<xsl:value-of select="normalize-space(vdex:caption/vdex:langstring)"/>
						<xsl:text> (</xsl:text>
						<xsl:value-of select="substring-after(vdex:termIdentifier, 'URN:')"/>
						<xsl:text>)</xsl:text>
					</i>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="normalize-space(vdex:caption/vdex:langstring)"/>
					<xsl:text> (</xsl:text>
					<xsl:value-of select="substring-after(vdex:termIdentifier, 'URN:')"/>
					<xsl:text>)</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="vdex:term">
				<ul>
					<xsl:apply-templates select="vdex:term"/>
				</ul>
			</xsl:if>
		</li>
	</xsl:template>
</xsl:stylesheet>
